Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-109111

ervice 'dmidecode' not found

    XMLWordPrintable

    Details

      Description

      On Current Nightly Builds attempting to create a Pool generates the following error. also occours when trying to run a S.M.A.R.T test on a disk

       

      Error: Traceback (most recent call last):
        File "/usr/lib/python3/dist-packages/middlewared/utils/service/call.py", line 20, in _method_lookup
          serviceobj = self.get_service(service)
        File "/usr/lib/python3/dist-packages/middlewared/utils/plugins.py", line 142, in get_service
          return self._services_aliases[name]
      KeyError: 'dmidecode'

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/lib/python3/dist-packages/middlewared/main.py", line 138, in call_method
          result = await self.middleware._call(message['method'], serviceobj, methodobj, params, app=self,
        File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1220, in _call
          return await methodobj(*prepared_call.args)
        File "/usr/lib/python3/dist-packages/middlewared/schema.py", line 1021, in nf
          return await f(*args, **kwargs)
        File "/usr/lib/python3/dist-packages/middlewared/plugins/smart.py", line 373, in manual_test
          devices = await self.middleware.call('device.get_storage_devices_topology')
        File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1263, in call
          return await self._call(
        File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1231, in _call
          return await self.run_in_executor(prepared_call.executor, methodobj, *prepared_call.args)
        File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1135, in run_in_executor
          return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
        File "/usr/lib/python3/dist-packages/middlewared/utils/io_thread_pool_executor.py", line 25, in run
          result = self.fn(*self.args, **self.kwargs)
        File "/usr/lib/python3/dist-packages/middlewared/plugins/device_/device_info_linux.py", line 257, in get_storage_devices_topology
          disks = self.get_disks()
        File "/usr/lib/python3/dist-packages/middlewared/plugins/device_/device_info_linux.py", line 66, in get_disks
          disks_data = self.retrieve_disks_data()
        File "/usr/lib/python3/dist-packages/middlewared/plugins/device_/device_info_linux.py", line 100, in retrieve_disks_data
          self.HOST_TYPE = self.middleware.call_sync('dmidecode.system_info')['system-manufacturer']
        File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1269, in call_sync
          serviceobj, methodobj = self._method_lookup(name)
        File "/usr/lib/python3/dist-packages/middlewared/utils/service/call.py", line 22, in _method_lookup
          raise CallError(f'Service {service!r} not found', CallError.ENOMETHOD)
      middlewared.service_exception.CallError: [ENOMETHOD] Service 'dmidecode' not found

        Attachments

          Attachments

            JEditor

              Activity

                People

                Assignee:
                releng Triage Team
                Reporter:
                shadofall jeff marshall
                Watchers:
                Bonnie Follweiler, jeff marshall
                Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: